﻿.MainContentArea {
    grid-template-columns: 1fr;
    gap: 0px !important;
}

/* auto complete style */

.autocomplete-selected {
    background-color: #ececec;
    cursor: pointer;
}

.autocomplete-no-suggestion {
    padding: 14px;
}

.autocomplete-group {
    background: #ffffff;
    font-size: 10px;
    height: 22px;
    padding: 0;
    padding-left: 10px;
    line-height: 22px;
    text-transform: uppercase;
    letter-spacing: 3px;
    border-top: 1px dotted #a9a2a2;
    border-bottom: 1px dotted #a9a2a2;
}

.autocomplete-suggestions {
    line-height: 20px;
    font-size: 15px;
    border-top: 0;
    overflow: auto;
    overflow-x: hidden;
    margin-top: 3px;
    box-shadow: 0 3px 8px rgba(220, 220, 220, 0.64);
    margin: 0;
    margin-bottom: 0;
    padding-bottom: 0;
    padding-top: 0;
    background: #fff;
    max-height: 200px;
    z-index: 10001 !important;
}

.autocomplete-suggestion {
    padding: 1px;
    padding-left: 25px;
    padding-bottom: 7px;
    padding-top: 7px;
    cursor: pointer;
    padding-right: 9px;
}


#price_chart_search_results .autocomplete-suggestions .autocomplete-suggestion, #price_chart_search_results .autocomplete-suggestions .autocomplete-no-suggestion {
    color: #000;
    font-size: 13px;
    padding: 4px;
    margin: 2px;
    padding-left: 24px;
}

.stMain {
    display: grid;
    /*padding: 1rem;*/
    gap: 1rem;
    grid-template-columns: 400px auto;
}

    .stMain > div {
        display: flex;
        border-radius: 6px;
        flex-direction: column;
        gap: 0.75rem;
    }

    .stMain .sticky-left-column {
        z-index: 1;
        position: sticky;
        top: 80px;
        height: calc(-40px + 100vh);
    }

    .stMain .primary-container {
        background-color: rgb(255, 255, 255);
        border: 1px solid rgb(216, 220, 227);
        border-radius: 6px;
    }
.colin {
    flex-direction: column;
    gap: 0.75rem;
    /*max-height: calc(-134px + 100vh);*/
    overflow: auto;
}
.bar {
    position: absolute;
    background-color: #bacdc8;
    bottom: 2px;
    height:10px;
    opacity: 0.5;
    border-radius: 13px;
}